Bug 837860 - Login dialog needs to re-center after logging out
Login dialog needs to re-center after logging out
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: 6.0
Assigned To: Martin Bacovsky
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-05 11:46 EDT by Og Maciel
Modified: 2014-09-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-18 13:38:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Login dialog is not centered in the screen (106.18 KB, image/png)
2012-07-05 11:46 EDT, Og Maciel
no flags Details
More weird behavior after resizing the browser window (99.30 KB, image/png)
2012-07-05 11:48 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-07-05 11:46:04 EDT
Created attachment 596439 [details]
Login dialog is not centered in the screen

Description of problem:

Seems that if you login, resize the screen/web browser window, and log out, the Login dialog is displayed in the position where it was centered before the resize.

Version-Release number of selected component (if applicable):

* candlepin-0.5.32-1.el6.noarch
* candlepin-tomcat6-0.5.32-1.el6.noarch
* katello-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-all-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.6-1.el6.noarch
* katello-cli-0.2.42-1.git.26.3d87775.el6_3.noarch
* katello-cli-common-0.2.42-1.git.26.3d87775.el6_3.noarch
* katello-common-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-configure-0.2.29-1.git.0.7330d57.el6_3.noarch
* katello-glue-candlepin-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-glue-foreman-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-glue-pulp-0.2.44-1.git.53.38a8afc.el6_3.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.2.6-1.el6.noarch
* pulp-1.1.10-1.el6.noarch
* pulp-common-1.1.10-1.el6.noarch
* pulp-selinux-server-1.1.10-1.el6.noarch

How reproducible:

Steps to Reproduce:
1. Login
2. Resize the browser window to make it smaller
3. Log out
Actual results:

The Login dialog is not centered according to the new size of the browser window

Expected results:

The Login dialog should be centered according to the current size of the browser window, or at least provide a scrollbar

Additional info:
Comment 1 Og Maciel 2012-07-05 11:48:27 EDT
Created attachment 596440 [details]
More weird behavior after resizing the browser window

Resized the browser window (made it smaller vertically) and scrolled it upward with the mouse wheel. Footer now covers the Login dialog
Comment 2 Miroslav Suchý 2012-08-21 13:09:34 EDT
could not reproduce #0, but #1 is valid.
Comment 3 Martin Bacovsky 2013-01-22 09:32:07 EST
Couldn't reproduce #0. #1 persists, differs from the screenshot though. Proposed fix in Alchemy https://github.com/ui-alchemy/alchemy/pull/142
Comment 4 Mike McCune 2014-03-18 13:38:46 EDT
This bug was closed because of a lack of activity.  If you feel this bug should be reconsidered for attention please feel free to re-open the bug with a comment stating why it should be reconsidered.

Note You need to log in before you can comment on or make changes to this bug.